Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP::MultipleComponentProfile_var Class Reference

`#include <IOPC.h>`

List of all members.

## Public Methods
| MultipleComponentProfile_var (void)
| MultipleComponentProfile_var (MultipleComponentProfile *)
| MultipleComponentProfile_var (const MultipleComponentProfile_var &)
| ~MultipleComponentProfile_var (void)
MultipleComponentProfile_var & | operator= (MultipleComponentProfile *)
MultipleComponentProfile_var & | operator= (const MultipleComponentProfile_var &)
MultipleComponentProfile * | operator-> (void)
const MultipleComponentProfile * | operator-> (void) const
| operator const MultipleComponentProfile & () const
| operator MultipleComponentProfile & ()
| operator MultipleComponentProfile & () const
| operator MultipleComponentProfile *& ()
TaggedComponent & | operator[] (CORBA::ULong index)
const TaggedComponent & | operator[] (CORBA::ULong index) const
const MultipleComponentProfile & | in (void) const
MultipleComponentProfile & | inout (void)
MultipleComponentProfile *& | out (void)
MultipleComponentProfile * | _retn (void)
MultipleComponentProfile * | ptr (void) const
## Private Attributes
MultipleComponentProfile * | ptr_

## Constructor & Destructor Documentation

IOP::MultipleComponentProfile_var::MultipleComponentProfile_var | ( | void |  | ) |

IOP::MultipleComponentProfile_var::MultipleComponentProfile_var | ( | MultipleComponentProfile * |  | ) |

IOP::MultipleComponentProfile_var::MultipleComponentProfile_var | ( | const MultipleComponentProfile_var & |  | ) |

IOP::MultipleComponentProfile_var::~MultipleComponentProfile_var | ( | void |  | ) |

## Member Function Documentation

MultipleComponentProfile* IOP::MultipleComponentProfile_var::_retn | ( | void |  | ) |

const MultipleComponentProfile& IOP::MultipleComponentProfile_var::in | ( | void |  | ) | const

MultipleComponentProfile& IOP::MultipleComponentProfile_var::inout | ( | void |  | ) |

IOP::MultipleComponentProfile_var::operator const MultipleComponentProfile & | ( |  | ) | const

IOP::MultipleComponentProfile_var::operator MultipleComponentProfile & | ( |  | ) | const

IOP::MultipleComponentProfile_var::operator MultipleComponentProfile & | ( |  | ) |

IOP::MultipleComponentProfile_var::operator MultipleComponentProfile *& | ( |  | ) |

const MultipleComponentProfile* IOP::MultipleComponentProfile_var::operator-> | ( | void |  | ) | const

MultipleComponentProfile* IOP::MultipleComponentProfile_var::operator-> | ( | void |  | ) |

MultipleComponentProfile_var& IOP::MultipleComponentProfile_var::operator= | ( | const MultipleComponentProfile_var & |  | ) |

MultipleComponentProfile_var& IOP::MultipleComponentProfile_var::operator= | ( | MultipleComponentProfile * |  | ) |

const TaggedComponent& IOP::MultipleComponentProfile_var::operator[] | ( | CORBA::ULong | index | ) | const

TaggedComponent& IOP::MultipleComponentProfile_var::operator[] | ( | CORBA::ULong | index | ) |

MultipleComponentProfile*& IOP::MultipleComponentProfile_var::out | ( | void |  | ) |

MultipleComponentProfile* IOP::MultipleComponentProfile_var::ptr | ( | void |  | ) | const

## Member Data Documentation

MultipleComponentProfile* IOP::MultipleComponentProfile_var::ptr_`[private]`

The documentation for this class was generated from the following file:

- IOPC.h